package com.madeu.service.web.webphotopetit;

import org.springframework.web.multipart.MultipartFile;

import java.util.HashMap;
import java.util.List;

public interface WebPhotoPetitService {
    public HashMap<String, Object> selectListWebPhotoPetitIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectListWebPhotoPetit(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectWebPhotoPetit(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> uploadFile(HashMap<String, Object> paramMap, MultipartFile file) throws Exception;
    public HashMap<String, Object> insertWebPhotoPetitIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> insertWebPhotoPetit(HashMap<String, Object> paramMap, List<MultipartFile> file) throws Exception;
    public HashMap<String, Object> updateWebPhotoPetitIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> updateWebPhotoPetit(HashMap<String, Object> paramMap, List<MultipartFile> file) throws Exception;
    public HashMap<String, Object> deleteWebPhotoPetit(HashMap<String, Object> paramMap) throws Exception;
}
